{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block title %}
    {{ block.super }} Menu
{% endblock %}

{% block content %}
    {{ block.super }}

    {{ form.errors }}


    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}
    <hr>
    {% if display_rss %}
        <div>
            <a class="ical" title="Subscribe"
               href="{% url 'future_rss' %} ">
                <img src="{% static 'images/icon-rss.gif' %}" alt="RSS">
            </a>
        </div>
    {% endif %}
    {% if user.is_authenticated %}
        <a href="admin/">Go to admin page </a><br><br>

        Your calendar is related to: "
        {% if user.userprofile.my_default_subscription.description %}
            <a href="{% url 'detail_subscription' user.userprofile.my_default_subscription.id %}">
                {% if user.userprofile.my_default_subscription.email %}
                    {{ user.userprofile.my_default_subscription.email }}
                    <i>{{ user.userprofile.my_default_subscription.description }}</i>
                {% else %}
                    {{ user.userprofile.my_default_subscription.description }}
                {% endif %}
            </a>
        {% else %}My default subscription
        {% endif %}"
        . (<a href="{% url 'subscriptions' %}">Choose another one</a> )

    {% endif %}


            <div role="tabpanel" class="tab-pane active" id="found_events">
    {% if queryset %}
        {% if user.is_authenticated %}
                When you "RemindMe", the event is added to <i>{{ user.userprofile.my_default_subscription.description }}</i>
        {% endif %}
            <table cellpadding="0" cellspacing="0" border="1" class="display" id="eventTable">
                <thead>
                <tr>
                    <th></th>
                    <th>Start</th>
                    <th>Attendee</th>
                    <th>ical</th>
                    <th>Add to default calendar</th>
                    <th>Summary</th>
                    {% if not calendar %}
                        <th>Calendar</th>
                        <th>Subscription</th>
                        <th>Org</th>
                    {% endif %}
                </tr>
                </thead>
                <tbody>

                {% for event in queryset %}
                    <tr>
                        <td>
                            <small><i><a
                                    href="{% url 'details_on_event' event.id %}">{{ forloop.counter|stringformat:"03d" }}</a>
                            </i>
                            </small>
                        </td>
                        <td>
                            {% if not event.dtstart.time %}
                                {{ event.dtstart|date }}
                            {% else %}
                                {{ event.dtstart }}
                            {% endif %}
                        </td>
                        <td>{{ event.attendee }}</td>
                        <td>{% if event.dtstart > date_now %}
                            <div>
                                <a class="ical" title="Subscribe"
                                   href="{% url 'eventics' event.id %} ">
                                    <img src="{% static 'images/iCal.png' %}" alt="iCal">
                                </a>
                            </div>
                        {% endif %}</td>
                        <td>
                        {% if user.is_authenticated and event.dtstart > date_now and not subscription %}
                            <a href="#" class="remindme" id="{{ event.id }}">{% if remind %}Forget{% else %}RemindMe{% endif %}</a>
                        {% endif %}
                    </td>
                        <td>{% if event.url %}<a href="{{ event.url }}">{{ event.summary }}</a>
                        {% else %}
                            {{ event.summary|urlize }}
                        {% endif %}</td>
                        {% if not calendar and event.calendar %}
                            <td>
                                <a href="{% url 'calendar_detail' event.calendar.id %}">{{ event.calendar|safe }}</a>
                            </td>
                            <td>
                                <a href="#" class="c_sub" id="{{ event.calendar.id }}">{% if subscription %}unsubscribe{% else %}subscribe{% endif %}</a>
                            </td>
                        {% endif %}
                            <td>
                                {% for org in event.calendar.org.all %}
                                    <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                                {% endfor %}
                            </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
    {% endif %}
        </div>

                {% if user.is_authenticated %}
                    <input type="hidden" name="user" id="user" value="{{ user.id }}">
                {% endif %}

{% endblock %}

{% block css %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>
    {% if user.is_authenticated and not user.is_superuser %}
        <script src="{% static 'js/subscription.js' %}"></script>
        <script src="{% static 'js/mycalendar.js' %}"></script>
    {% endif %}

    <script type="text/javascript">
        $(document).ready(function () {
            $(function () {
                $('#myTab a:first').tab('show')
            });
            $('#about_modal').modal('show');
            $('.row .btn').on('click', function (e) {
                e.preventDefault();
                var $this = $(this);
                var $collapse = $this.closest('.collapse-group').find('.collapse');
                $collapse.collapse('toggle');
            });
            // to manage subscription
            $('#eventTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
            $('#annTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
            $('#calTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
            $('#orgTable').dataTable({
                "aaSorting": [
                    [ 1, "asc" ]
                ],
                "bPaginate": false
            });
        });
    </script>
{% endblock %}

